CONVERT_BIOM(1)

NAME
convert_biom - Script to convert biom formatted files

SYNOPSIS
Detailed usage examples can be found here: http://biom-format.org/documentation/biom_conversion.html

DESCRIPTION
Script to convert biom formatted files.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

    Required Options:

-i INPUT_FP, --input_fp=INPUT_FP
    the input filepath

-o OUTPUT_FP, --output_fp=OUTPUT_FP
    the output filepath

    Optional Options:

-t BIOM_TYPE, --biom_type=BIOM_TYPE
    Type of biom file to write (dense or sparse) when passed a classic table [default: sparse]

-b, --biom_to_classic_table
    Convert biom file to classic table file [default: convert classic table file to biom file]

--sparse_biom_to_dense_biom
    Convert sparse biom file to a dense biom file [default: convert classic table file to biom file]

--dense_biom_to_sparse_biom
    Convert dense biom file to a sparse biom file [default: convert classic table file to biom file]

-m SAMPLE_MAPPING_FP, --sample_mapping_fp=SAMPLE_MAPPING_FP
    The mapping filepath (will add sample metadata to biom file, if provided) [default: none]

--observation_mapping_fp=OBSERVATION_MAPPING_FP
    The mapping filepath (will add observation metadata to biom file, if provided) [default: none]

--header_key=HEADER_KEY
    Pull this key from observation metadata within a biom file when writing a classic table [default: no observation metadata will be written]

--output_metadata_id=OUTPUT_METADATA_ID
    Name for the observation metadata column when writing a biom file as a classic table [default: same name as in biom-formatted table]

--process_obs_metadata=PROCESS_OBS_METADATA
    Process metadata associated with observations when converting from a classic table. Must be one of: taxonomy, naive, sc_separated [default: naive]

--biom_table_type=BIOM_TABLE_TYPE
    The biom table type to get converted into. Required when converting a classic table file to biom file. Must be one of: metabolite table, gene table, otu table, pathway table, function table, ortholog table, taxon table